| Earth Observation Mission CFI Software FileHandlling Software User Manual for JAVA |

Public Member Functions

# EECFI.XmlFile Class Reference

Class for reading and writing XML files. More...

Inheritance diagram for EECFI.XmlFile:

List of all members.

## Public Member Functions
| XmlFile ()
| Empty constructor.
| XmlFile (String fileNam) throws CfiError
| Construct object and init parser.
native void | create () throws CfiError
| Create an XML tree in memory.
native void | read (final String fileNam) throws CfiError
| Read file from disk.
native void | write () throws CfiError
| Write file to disk.
native void | write (final String fileNam) throws CfiError
| Write file to disk with different name.
native void | clean () throws CfiError
| Clean memory.
native void | root () throws CfiError
| Go to root element.
native void | next () throws CfiError
| Go to next element.
native void | nextSibling ()
| Go to the next Sibling.
native void | toElement (final String element) throws CfiError
| Go to element.
native void | toPath (final String path) throws CfiError
| Go to path.
native String | currentElementName () throws CfiError
| Get current element name.
native String | currentPathName () throws CfiError
| Get current path name.
native String | getElementValueAsString (final String element) throws CfiError
| Read element value as a String.
native long | getElementValueAsInt (final String element) throws CfiError
| Read element value as an integer.
native double | getElementValueAsReal (final String element) throws CfiError
| Read element value as a real number.
native Vector< String > | getElementArrayAsString (final String element, Vector< String > outVector) throws CfiError
| Read array of values as Strings.
native Vector< Long > | getElementArrayAsInt (final String element, Vector< Long > outVector) throws CfiError
| Read array of values as integers.
native Vector< Double > | getElementArrayAsReal (final String element, Vector< Double > outVector) throws CfiError
| Read array of values as real numbers.
native String | getAttributeValueAsString (final String element, final String attribute) throws CfiError
| Read attribute value as a String.
native long | getAttributeValueAsInt (final String element, final String attribute) throws CfiError
| Read attribute value as an integer.
native double | getAttributeValueAsReal (final String element, final String attribute) throws CfiError
| Read attribute value as a real number.
native String | getPathValueAsString (final String path) throws CfiError
| Read path node value as a String.
native long | getPathValueAsInt (final String path) throws CfiError
| Read path node value as an integer.
native double | getPathValueAsReal (final String path) throws CfiError
| Read path node value as a real number.
native Vector< String > | getPathArrayAsString (final String node, Vector< String > outVector) throws CfiError
| Read String node array.
native Vector< Long > | getPathArrayAsInt (final String node, Vector< Long > outVector) throws CfiError
| Read integer node array.
native Vector< Double > | getPathArrayAsReal (final String node, Vector< Double > outVector) throws CfiError
| Read double node array.
native void | createRoot (final String element) throws CfiError
| Create root element.
native void | addChild (final String parent, final String child) throws CfiError
| Add child element.
native void | addNext (final String current, final String next) throws CfiError
| Append sibling element after current one.
native void | addPrevious (final String current, final String previous) throws CfiError
| Insert sibling element before current one.
native void | addAttribute (final String element, final String attribute) throws CfiError
| Add attribute.
native void | copyNode (final String destPath, final String sourceXmlFile, final String sourcePath) throws CfiError
| Copy a node of one XmlFile to parent node in this XmlFile.
native void | removeNode (final String path) throws CfiError
| Remove node.
native void | setValue (final String path, final String value, final String format) throws CfiError
| Set String node value with format.
native void | setValue (final String path, final long value, final String format) throws CfiError
| Set integer node value with format.
native void | setValue (final String path, final double value, final String format) throws CfiError
| Set real node value with format.
native void | addChild (final String parent, final String child, final String value, final String format) throws CfiError
| Add a child element with a String value.
native void | addChild (final String parent, final String child, final long value, final String format) throws CfiError
| Add a child element with an integer value.
native void | addChild (final String parent, final String child, final double value, final String format) throws CfiError
| Add a child element with a real value.
native void | addNext (final String current, final String next, final String value, final String format) throws CfiError
| Append an element after the current one with a String value.
native void | addNext (final String current, final String next, final long value, final String format) throws CfiError
| Append an element after the current one with an integer value.
native void | addNext (final String current, final String next, final double value, final String format) throws CfiError
| Append an element after the current one with a real value.
native void | addPrevious (final String current, final String previous, final String value, final String format) throws CfiError
| Insert an element before the current one with a String value.
native void | addPrevious (final String current, final String previous, final long value, final String format) throws CfiError
| Insert an element before the current one with an integer value.
native void | addPrevious (final String current, final String previous, final double value, final String format) throws CfiError
| Insert an element before the current one with a real value.
native void | addAttribute (final String element, final String attribute, final String value, final String format) throws CfiError
| Add attribute with a String value to an element.
native void | addAttribute (final String element, final String attribute, final long value, final String format) throws CfiError
| Add attribute with an integer value to an element.
native void | addAttribute (final String element, final String attribute, final double value, final String format) throws CfiError
| Add attribute with a real value to an element.
native String | findValueInElement (final String element, final String value) throws CfiError
| Find element with value.
native String | findValueInPath (final String path, final String value) throws CfiError
| Find node with value.
native void | createHeader (long fileExtensionType) throws CfiError
| Creates a blank header.
native void | createHeader (FixedHeader xmlHeader) throws CfiError
| Creates a fixed header with the input values.
native String | createFileName (long satelliteId, String fileClass, String fileType, String instanceId, long fileExtensionType) throws CfiError
| Generates a complete Cryosat file name.
native FileNameItems | getFileNameItems (String fileNam) throws CfiError
| Retrieve items of created fileName.
native void | setFixedHeaderItem (final String itemName, final String itemValue) throws CfiError
| Set an item in the fixed header.
native void | setFixedHeaderItems (final String fileNam, final String fileDescription, final String notes, final String mission, final String fileClass, final String filetype, final String validityStart, final String validityStop, final long fileVersion, final String system, final String creator, final String creatorVersion, final String creationDate) throws CfiError
| Set all items in the fixed header.
native String | getFixedHeaderItem (final String itemName) throws CfiError
| Get an item from the fixed header.
native FixedHeader | getFixedHeader () throws CfiError
| Get fixed header data.
long | getId ()
| Get id.
String | getFileName ()
| Get fileName.
native void | setSchema (final String schemaName, boolean setAll)
| Set schema name.
native void | removeSchema (boolean removeAll)
| Remove schema name.
native Vector< String > | getStringValuesFromList (final String listPath, final String element, Vector< String > outVector) throws CfiError
| Read elements from a list.

## Detailed Description

Class for reading and writing XML files.

This class is used for reading and writing XML files according to the Earth Explorer Mission File Format Guidelines

It relies on the EO_FILE_HANDLING CFI software and the GNOME libxml2 (http://xmlsoft.org)

In memory representation of the XML file is maintained in the form of a tree. Navigation through the tree is performed with the help of a pointer. The following methods can be used for moving the pointer:

- root()
- next()
- toElement()
- toPath()

The current position can be retrieved using the following methods:

- currentElementName()
- currentPathName()

Methods for creating nodes, reading and writing node values will move the pointer to the requested element if the execution is successful.

## Constructor & Destructor Documentation

EECFI.XmlFile.XmlFile | ( |  | ) |

Empty constructor.

EECFI.XmlFile::XmlFile | ( | String | fileNam | ) | throws CfiError

Construct object and init parser.

Parameters:

  | fileNam | Name of the file.

## Member Function Documentation

void EECFI.XmlFile::addAttribute | ( | final String | element,
|  | final String | attribute |
| ) |  |  | throws CfiError

Add attribute.

The tree pointer is set to the element that contains the attribute.

Parameters:

  | element | XPath expression of element node to which the new attribute is added.
  | attribute | Attribute name.

void EECFI.XmlFile::addAttribute | ( | final String | element,
|  | final String | attribute,
|  | final String | value,
|  | final String | format |
| ) |  |  | throws CfiError

Add attribute with a String value to an element.

The tree pointer is set to element that owns the attribute.

Parameters:

  | element | XPath expression of element node to which the new attribute is added.
  | attribute | Inserted attribute name.
  | value | Attribute value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::addAttribute | ( | final String | element,
|  | final String | attribute,
|  | final long | value,
|  | final String | format |
| ) |  |  | throws CfiError

Add attribute with an integer value to an element.

The tree pointer is set to element that owns the attribute.

Parameters:

  | element | XPath expression of element node to which the new attribute is added.
  | attribute | Inserted attribute name.
  | value | Attribute value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::addAttribute | ( | final String | element,
|  | final String | attribute,
|  | final double | value,
|  | final String | format |
| ) |  |  | throws CfiError

Add attribute with a real value to an element.

The tree pointer is set to element that owns the attribute.

Parameters:

  | element | XPath expression of element node to which the new attribute is added.
  | attribute | Inserted attribute name.
  | value | Attribute value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::addChild | ( | final String | parent,
|  | final String | child,
|  | final String | value,
|  | final String | format |
| ) |  |  | throws CfiError

Add a child element with a String value.

The tree pointer is set to the created element.

Parameters:

  | parent | XPath expression of element node to which the child is added.
  | child | Child element name.
  | value | Element value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::addChild | ( | final String | parent,
|  | final String | child,
|  | final long | value,
|  | final String | format |
| ) |  |  | throws CfiError

Add a child element with an integer value.

The tree pointer is set to the created element.

Parameters:

  | parent | XPath expression of element node to which the child is added.
  | child | Child element name.
  | value | Element value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::addChild | ( | final String | parent,
|  | final String | child,
|  | final double | value,
|  | final String | format |
| ) |  |  | throws CfiError

Add a child element with a real value.

The tree pointer is set to the created element.

Parameters:

  | parent | XPath expression of element node to which the child is added.
  | child | Child element name.
  | value | Element value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::addChild | ( | final String | parent,
|  | final String | child |
| ) |  |  | throws CfiError

Add child element.

The tree pointer is set to the created element.

Parameters:

  | parent | XPath expression of element node to which the child is added.
  | child | Child element name.

void EECFI.XmlFile::addNext | ( | final String | current,
|  | final String | next |
| ) |  |  | throws CfiError

Append sibling element after current one.

The tree pointer is set to the created element.

Parameters:

  | current | XPath expression of element node to which the new element is appended.
  | next | Appended element name.

void EECFI.XmlFile::addNext | ( | final String | current,
|  | final String | next,
|  | final String | value,
|  | final String | format |
| ) |  |  | throws CfiError

Append an element after the current one with a String value.

The tree pointer is set to the created element.

Parameters:

  | current | XPath expression of element node to which the new element is appended.
  | next | Appended element name.
  | value | Element value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::addNext | ( | final String | current,
|  | final String | next,
|  | final long | value,
|  | final String | format |
| ) |  |  | throws CfiError

Append an element after the current one with an integer value.

The tree pointer is set to the created element.

Parameters:

  | current | XPath expression of element node to which the new element is appended.
  | next | Appended element name.
  | value | Element value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::addNext | ( | final String | current,
|  | final String | next,
|  | final double | value,
|  | final String | format |
| ) |  |  | throws CfiError

Append an element after the current one with a real value.

The tree pointer is set to the created element.

Parameters:

  | current | XPath expression of element node to which the new element is appended.
  | next | Appended element name.
  | value | Element value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::addPrevious | ( | final String | current,
|  | final String | previous |
| ) |  |  | throws CfiError

Insert sibling element before current one.

The tree pointer is set to the created element.

Parameters:

  | current | XPath expression of element node in front of which the new element is inserted.
  | previous | Inserted element name.

void EECFI.XmlFile::addPrevious | ( | final String | current,
|  | final String | previous,
|  | final String | value,
|  | final String | format |
| ) |  |  | throws CfiError

Insert an element before the current one with a String value.

The tree pointer is set to the created element.

Parameters:

  | current | XPath expression of element node in front of which the new element is appended.
  | previous | Inserted element name.
  | value | Element value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::addPrevious | ( | final String | current,
|  | final String | previous,
|  | final long | value,
|  | final String | format |
| ) |  |  | throws CfiError

Insert an element before the current one with an integer value.

The tree pointer is set to the created element.

Parameters:

  | current | XPath expression of element node in front of which the new element is appended.
  | previous | Inserted element name.
  | value | Element value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::addPrevious | ( | final String | current,
|  | final String | previous,
|  | final double | value,
|  | final String | format |
| ) |  |  | throws CfiError

Insert an element before the current one with a real value.

The tree pointer is set to the created element.

Parameters:

  | current | XPath expression of element node in front of which the new element is appended.
  | previous | Inserted element name.
  | value | Element value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

native void EECFI.XmlFile.clean | ( |  | ) | throws CfiError

Clean memory.

void EECFI.XmlFile::copyNode | ( | final String | destPath,
|  | final String | sourceXmlFile,
|  | final String | sourcePath |
| ) |  |  | throws CfiError

Copy a node of one XmlFile to parent node in this XmlFile.

Two files, one file is a destination file and another file is source file, elements of the source files will be copied into destination files.

To have it, there are two tree pointer.

Parameters:

  | destPath | XPath expression of element node to which the new element will be added.
  | sourceXmlFile | File Xml Source, some elements will be added to the destination file.
  | sourcePath | XPath expression of element node is copied to destination file, this element is child in destPath.

native void EECFI.XmlFile.create | ( |  | ) | throws CfiError

Create an XML tree in memory.

String EECFI.XmlFile::createFileName | ( | long | satelliteId,
|  | String | fileClass,
|  | String | fileType,
|  | String | instanceId,
|  | long | fileExtensionType |
| ) |  |  | throws CfiError

Generates a complete Cryosat file name.

Parameters:

  | satelliteId | Satellite Id (one of SatIdEnum).
  | fileClass | Type of activity for which the file is used.
  | fileType | File type.
  | instanceId | Makes the file unique.
  | fileExtensionType | Type of XML file to add header.

Returns:
  File name generated.

void EECFI.XmlFile::createHeader | ( | long | fileExtensionType | ) | throws CfiError

Creates a blank header.

Generates a new blank Header including both Fixed and Variable headers.

Parameters:

  | fileExtensionType | Type of XML. Should be one of the possibles values in FileExtensionTypeEnum.

void EECFI.XmlFile::createHeader | ( | FixedHeader | xmlHeader | ) | throws CfiError

Creates a fixed header with the input values.

Sets the value of all Fixed Header elements.

Parameters:

  | xmlHeader | FixedHeader object containing data for the fixed header.

void EECFI.XmlFile::createRoot | ( | final String | element | ) | throws CfiError

Create root element.

Parameters:

  | element | Root element name.

native String EECFI.XmlFile.currentElementName | ( |  | ) | throws CfiError

Get current element name.

native String EECFI.XmlFile.currentPathName | ( |  | ) | throws CfiError

Get current path name.

String EECFI.XmlFile::findValueInElement | ( | final String | element,
|  | final String | value |
| ) |  |  | throws CfiError

Find element with value.

Find the first occurence of the element whose name and value match the requested input parameters and return its absolute XPath name.

Parameters:

  | element | Element name.
  | value | Element value.

Returns:
  XPath name of the found element.

String EECFI.XmlFile::findValueInPath | ( | final String | path,
|  | final String | value |
| ) |  |  | throws CfiError

Find node with value.

Find the first occurence of the element whose XPath name and value match the requested input parameters and return its absolute XPath name.

The input XPath name can contain a "*" wildcard for searching through sequences.

Parameters:

  | path | XPath expression of node name (wildcard allowed).
  | value | Element value.

Returns:
  XPath name of the found element.

long EECFI.XmlFile::getAttributeValueAsInt | ( | final String | element,
|  | final String | attribute |
| ) |  |  | throws CfiError

Read attribute value as an integer.

Return the value of the given attribute in the first occurence of the given element from the current position as integer.

If the current position is an element whose name equals "element", returns the value of the given attribute in the current element. The tree pointer is set to the found element.

Parameters:

  | element | Element name.
  | attribute | Attribute name.

Returns:
  Attribute value.

double EECFI.XmlFile::getAttributeValueAsReal | ( | final String | element,
|  | final String | attribute |
| ) |  |  | throws CfiError

Read attribute value as a real number.

Return the value of the given attribute in the first occurence of the given element from the current position as double.

If the current position is an element whose name equals "element", returns the value of the given attribute in the current element. The tree pointer is set to the found element.

Parameters:

  | element | Element name.
  | attribute | Attribute name.

Returns:
  Attribute value.

String EECFI.XmlFile::getAttributeValueAsString | ( | final String | element,
|  | final String | attribute |
| ) |  |  | throws CfiError

Read attribute value as a String.

Return the value of the given attribute in the first occurence of the given element from the current position as string.

If the current position is an element whose name equals "element", returns the value of the given attribute in the current element. The tree pointer is set to the found element.

Parameters:

  | element | Element name.
  | attribute | Attribute name.

Returns:
  Attribute value.

Vector< Long > EECFI.XmlFile::getElementArrayAsInt | ( | final String | element,
|  | Vector< Long > | outVector |
| ) |  |  | throws CfiError

Read array of values as integers.

Return a vector with the values of all ocurrences of the given element as integers.

The tree pointer is set to the last found element.

Parameters:

  | element | Element name.
  | outVector | Vector of element values.

Vector< Double > EECFI.XmlFile::getElementArrayAsReal | ( | final String | element,
|  | Vector< Double > | outVector |
| ) |  |  | throws CfiError

Read array of values as real numbers.

Return a vector with the values of all ocurrences of the given element as doubles.

The tree pointer is set to the last found element.

Parameters:

  | element | Element name.
  | outVector | Vector of element values.

Vector< String > EECFI.XmlFile::getElementArrayAsString | ( | final String | element,
|  | Vector< String > | outVector |
| ) |  |  | throws CfiError

Read array of values as Strings.

Return a vector with the values of all ocurrences of the given element as strings.

The tree pointer is set to the last found element.

Parameters:

  | element | Element name.
  | outVector | Vector of element values.

long EECFI.XmlFile::getElementValueAsInt | ( | final String | element | ) | throws CfiError

Read element value as an integer.

Return the value of the first occurence after the current position of the given element as integer.

The tree pointer is set to the found element.

Parameters:

  | element | Element name.

Returns:
  Element value.

double EECFI.XmlFile::getElementValueAsReal | ( | final String | element | ) | throws CfiError

Read element value as a real number.

Return the value of the first occurence after the current position of the given element as double.

The tree pointer is set to the found element.

Parameters:

  | element | Element name.

Returns:
  Element value.

String EECFI.XmlFile::getElementValueAsString | ( | final String | element | ) | throws CfiError

Read element value as a String.

Return the value of the first occurence after the current position of the given element as string.

The tree pointer is set to the found element.

Parameters:

  | element | Element name.

Returns:
  Element value.

String EECFI.XmlFile::getFileName | ( |  | ) |

Get fileName.

Returns:
  Value of internal attribute fileName.

FileNameItems EECFI.XmlFile::getFileNameItems | ( | String | fileNam | ) | throws CfiError

Retrieve items of created fileName.

Parameters:

  | fileNam | File Name.

FixedHeader EECFI.XmlFile::getFixedHeader | ( |  | ) | throws CfiError

Get fixed header data.

Gets the value of all Fixed Header elements.

Returns:
  FixedHeader object with all the values of the Fixed Header of the file.

String EECFI.XmlFile::getFixedHeaderItem | ( | final String | itemName | ) | throws CfiError

Get an item from the fixed header.

This function gets the value of a Fixed Header node.

Parameters:

  | itemName | Name of the element which value we want to retrieve.

Returns:
  Value of the node of name itemName.

long EECFI.XmlFile::getId | ( |  | ) |

Get id.

Returns:
  Value of internal attribute id.

Vector< Long > EECFI.XmlFile::getPathArrayAsInt | ( | final String | node,
|  | Vector< Long > | outVector |
| ) |  |  | throws CfiError

Read integer node array.

Returns an integer vector with the values of all ocurrences of the given path.

This method should be used for reading values from sequences and therefore the path must be absolute and must include a "*" wildcard for indicating the repeated element. The tree pointer is set to the last found element.

Parameters:

  | node | Node XPath name.
  | outVector | Vector of node values.

Vector< Double > EECFI.XmlFile::getPathArrayAsReal | ( | final String | node,
|  | Vector< Double > | outVector |
| ) |  |  | throws CfiError

Read double node array.

Returns a double vector with the values of all ocurrences of the given path.

This method should be used for reading values from sequences and therefore the path must be absolute and must include a "*" wildcard for indicating the repeated element. The tree pointer is set to the last found element.

Parameters:

  | node | node XPath name.
  | outVector | Vector of node values.

Vector< String > EECFI.XmlFile::getPathArrayAsString | ( | final String | node,
|  | Vector< String > | outVector |
| ) |  |  | throws CfiError

Read String node array.

Returns a string vector with the values of all ocurrences of the given path.

This method should be used for reading values from sequences and therefore the path must be absolute and must include a "*" wildcard for indicating the repeated element. The tree pointer is set to the last found element.

Parameters:

  | node | Node XPath name.
  | outVector | Vector of node values.

long EECFI.XmlFile::getPathValueAsInt | ( | final String | path | ) | throws CfiError

Read path node value as an integer.

Return the value of the node with the given XPath name as integer.

The XPath name can be either absolute or relative to the current element. The tree pointer will be set to the found element or the element that contains the found attribute.

Parameters:

  | path | XPath expression of node.

Returns:
  Node value.

double EECFI.XmlFile::getPathValueAsReal | ( | final String | path | ) | throws CfiError

Read path node value as a real number.

Return the value of the node with the given XPath name as double.

The XPath name can be either absolute or relative to the current element. The tree pointer will be set to the found element or the element that contains the found attribute.

Parameters:

  | path | XPath expression of node.

Returns:
  Node value.

String EECFI.XmlFile::getPathValueAsString | ( | final String | path | ) | throws CfiError

Read path node value as a String.

Return the value of the node with the given XPath name as string.

The XPath name can be either absolute or relative to the current element. The tree pointer will be set to the found element or the element that contains the found attribute.

Parameters:

  | path | XPath expression of node.

Returns:
  Node value.

Vector< String > EECFI.XmlFile::getStringValuesFromList | ( | final String | listPath,
|  | final String | element,
|  | Vector< String > | outVector |
| ) |  |  | throws CfiError

Read elements from a list.

Parameters:

  | listPath | Path of the list to read.
  | element | Element to read.
  | outVector | String vector with the values.

void EECFI.XmlFile::next | ( |  | ) | throws CfiError

Go to next element.

Go to the next element.

If the current element has a children then the next is first child else the next could be the next sibling, or the next element could be the next sibling of the parent if the next element has not sibling.

native void EECFI.XmlFile.nextSibling | ( |  | ) |

Go to the next Sibling.

native void EECFI.XmlFile.read | ( | final String | fileNam | ) | throws CfiError

Read file from disk.

void EECFI.XmlFile::removeNode | ( | final String | path | ) | throws CfiError

Remove node.

Remove the requested node and all its descendants.

The tree pointer is not moved.

Parameters:

  | path | XPath name of the node to be removed.

void EECFI.XmlFile::removeSchema | ( | boolean | removeAll | ) |

Remove schema name.

Parameters:

  | removeAll | Indicates if schema and version will be removed (true) or only the schema (false).

native void EECFI.XmlFile.root | ( |  | ) | throws CfiError

Go to root element.

void EECFI.XmlFile::setFixedHeaderItem | ( | final String | itemName,
|  | final String | itemValue |
| ) |  |  | throws CfiError

Set an item in the fixed header.

Sets the value of any element of a Header.

Parameters:

  | itemName | Name of the element which value we want to modify.
  | itemValue | New value assigned for the node.

void EECFI.XmlFile::setFixedHeaderItems | ( | final String | fileNam,
|  | final String | fileDescription,
|  | final String | notes,
|  | final String | mission,
|  | final String | fileClass,
|  | final String | filetype,
|  | final String | validityStart,
|  | final String | validityStop,
|  | final long | fileVersion,
|  | final String | system,
|  | final String | creator,
|  | final String | creatorVersion,
|  | final String | creationDate |
| ) |  |  | throws CfiError

Set all items in the fixed header.

Sets the value of any element of a Header.

Parameters:

  | fileNam | Name of the file.
  | fileDescription | Description of the file.
  | notes | Notes about the file.
  | mission | Mission the file belongs to.
  | fileClass | File class.
  | filetype | File type.
  | validityStart | Date when the file starts being valid.
  | validityStop | Date when the file stops being valid.
  | fileVersion | Version of the file.
  | system | System.
  | creator | Creator name.
  | creatorVersion | Version put by the creator.
  | creationDate | Date of creation.

void EECFI.XmlFile::setSchema | ( | final String | schemaName,
|  | boolean | setAll |
| ) |  |  |

Set schema name.

Parameters:

  | schemaName | Name of the new schema.
  | setAll | Indicates if schema and version will be changed (true) or only the schema (false).

void EECFI.XmlFile::setValue | ( | final String | path,
|  | final long | value,
|  | final String | format |
| ) |  |  | throws CfiError

Set integer node value with format.

The tree pointer is set to the requested element.

In case an attribute is requested it is set to the element that contains the attribute.

Parameters:

  | path | XPath name of node.
  | value | New node value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::setValue | ( | final String | path,
|  | final String | value,
|  | final String | format |
| ) |  |  | throws CfiError

Set String node value with format.

The tree pointer is set to the requested element.

In case an attribute is requested it is set to the element that contains the attribute.

Parameters:

  | path | XPath name of node.
  | value | New node value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::setValue | ( | final String | path,
|  | final double | value,
|  | final String | format |
| ) |  |  | throws CfiError

Set real node value with format.

The tree pointer is set to the requested element.

In case an attribute is requested it is set to the element that contains the attribute.

Parameters:

  | path | XPath name of node.
  | value | New node value.
  | format | Value format as expressed for printf functions. If format is empty "%s" is used.

void EECFI.XmlFile::toElement | ( | final String | element | ) | throws CfiError

Go to element.

Set the tree pointer to the first occurrence of the given element after the current position.

Parameters:

  | element | Element name to be found.

void EECFI.XmlFile::toPath | ( | final String | path | ) | throws CfiError

Go to path.

Set the tree pointer to the first occurence of the given path after the current position.

Parameters:

  | path | Path name to be found, either absolute or relative to the current element.

native void EECFI.XmlFile.write | ( | final String | fileNam | ) | throws CfiError

Write file to disk with different name.

native void EECFI.XmlFile.write | ( |  | ) | throws CfiError

Write file to disk.